Bug 1281930 (CVE-2015-8317) - CVE-2015-8317 libxml2: Out-of-bounds heap read when parsing file with unfinished xml declaration
Summary: CVE-2015-8317 libxml2: Out-of-bounds heap read when parsing file with unfinis...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8317
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150629,reported=2...
Depends On: 1281933 1281931 1281932 1284794 1286495 1286496 1286497 1323034
Blocks: 1274223 1281960 1318206
TreeView+ depends on / blocked
 
Reported: 2015-11-13 20:50 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to leak potentially sensitive information.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:45:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2549 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 15:13:44 UTC
Red Hat Product Errata RHSA-2015:2550 normal SHIPPED_LIVE Moderate: libxml2 security update 2015-12-07 16:59:33 UTC
Red Hat Product Errata RHSA-2016:1089 normal SHIPPED_LIVE Moderate: Red Hat JBoss Web Server 3.0.3 security update 2016-05-17 20:12:21 UTC

Description Adam Mariš 2015-11-13 20:50:12 UTC
An out-of-bounds heap read in xmlParseXMLDecl happens when a file containing unfinished xml declaration, e.g. <?xml versionencoding="ISO88598", is followed by 0xff byte.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=751631

Upstream patch:

https://git.gnome.org/browse/libxml2/commit/?id=709a952110e98621c9b78c4f26462a9d8333102e

Out-of-bounds heap read also occurs in xmlParseXMLDecl when file contains unterminated encoding value.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=751603

Upstream patch:

https://git.gnome.org/browse/libxml2/commit/?id=9aa37588ee78a06ca1379a9d9356eab16686099c

Comment 1 Adam Mariš 2015-11-13 20:51:52 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1281931]

Comment 2 Adam Mariš 2015-11-13 20:52:02 UTC
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1281932]
Affects: epel-7 [bug 1281933]

Comment 3 Adam Mariš 2015-11-19 11:48:57 UTC
Acknowledgments:

Name: the GNOME project
Upstream: Hanno Boeck

Comment 4 Adam Mariš 2015-11-23 13:20:38 UTC
CVE assignment:

http://seclists.org/oss-sec/2015/q4/354

Comment 8 errata-xmlrpc 2015-12-07 10:14:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html

Comment 9 errata-xmlrpc 2015-12-07 12:00:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html

Comment 13 errata-xmlrpc 2016-05-17 16:14:36 UTC
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html


Note You need to log in before you can comment on or make changes to this bug.